Package org.eclipse.net4j.util.factory

# Interface IPropertiesFactory

All Superinterfaces:
  `IFactory`

All Known Implementing Classes:
  `PropertiesFactory`

public interface IPropertiesFactory extends IFactory

Since:
  3.23
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Object`
`createWithProperties(Map<String,String> properties)`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`create, getDescriptionFor, getKey`

## Method Details

### createWithProperties

Object createWithProperties(Map<String,String> properties) throws ProductCreationException

Throws:
  `ProductCreationException`